Subject: Problem with system()
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 27 Jul 2000 09:42:19 -0400

Chris,
I guesss I should have given more info.
I tried 
        system ("command /c dir") 
and yes, I am using Windows 95.
In fact I tried a whole bunch of commands that are cygwin commands.
Whatever I do, the system call returns a 127.
I couldn't find what a 127 meant, if anything.
Anyway, is it possible that I can be missing a dll. Or is there only the 
one that I need?
I only installed the base amount of software:
        gcc-2_95_2-2.tar.gz
        cygwin-1.1.2.tar.gz
        binutils-20000625.tar.gz
        bash-2_04_1.tar.gz
I thought that should be enough but maybe not.
Also, since I am only getting the digest version of this mailing list, can 
you cc: me directly?
thanks,
glenn davis.

On Wed, Jul 26, 2000 at 03:56:42PM -0400, [email-masked] 
wrote:
>Hi,
>I am trying to run a simple program that just uses the system() call, but
>I can't get it to work.
>the call I am using is system("dir");
>
>Am I doing something wrong?

"dir" is not a cygwin command.  It's a function of your command shell.

You probably want to do one of:

- system ("ls");                /* The cygwin way */

- system ("command /c dir");    /* Windows 95 */

- system ("cmd /c dir");        /* Windows NT */

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]